<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__bcsc__char__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_bcsc_char_t</compoundname>
    <includes local="no">cy_ble_bcs.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__bcsc__char__t_1aab15d892aaede535a7996770df574d3b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_bcsc_char_t::valueHandle</definition>
        <argsstring />
        <name>valueHandle</name>
        <briefdescription>
<para>Handle of Characteristic Value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bcs.h" bodystart="88" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bcs.h" line="88" />
      </memberdef>
      <memberdef id="structcy__stc__ble__bcsc__char__t_1ac391c4e9e0b5f1c89a77b8d6fb5f7efd" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_bcsc_char_t::properties</definition>
        <argsstring />
        <name>properties</name>
        <briefdescription>
<para>Properties for Value Field. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bcs.h" bodystart="89" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bcs.h" line="89" />
      </memberdef>
      <memberdef id="structcy__stc__ble__bcsc__char__t_1a34fb5471e49e1e1c6130836bcde788d4" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_bcsc_char_t::endHandle</definition>
        <argsstring />
        <name>endHandle</name>
        <briefdescription>
<para>End Handle of a Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bcs.h" bodystart="90" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bcs.h" line="90" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>BCS Client Characteristic Structure type. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="91" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bcs.h" bodystart="86" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bcs.h" line="87" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__bcsc__char__t_1a34fb5471e49e1e1c6130836bcde788d4" virt="non-virtual"><scope>cy_stc_ble_bcsc_char_t</scope><name>endHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__bcsc__char__t_1ac391c4e9e0b5f1c89a77b8d6fb5f7efd" virt="non-virtual"><scope>cy_stc_ble_bcsc_char_t</scope><name>properties</name></member>
      <member prot="public" refid="structcy__stc__ble__bcsc__char__t_1aab15d892aaede535a7996770df574d3b" virt="non-virtual"><scope>cy_stc_ble_bcsc_char_t</scope><name>valueHandle</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>